#include "stdio.h"
#include "ctype.h"

int main() {
    int c; // znaky, ktoré zadáva používateľ
    int line_count = 0; // počet riadkov

    while((c = getchar()) != EOF) { // kontrola znaku EOF (koniec vstupu)

        if(isalpha(c)) {
            if( islower(c)) { // ak používateľ zadal malé písmeno, zmení sa na veľké
                putchar(toupper(c));
            } else { // ak používateľ zadal veľké písmeno, zmení sa na malé
                putchar(tolower(c));
            }

        } else {
            putchar(c); // výpis všetkých ostatných znakov
        }

        if(c == '\n') { //  kontrola znaku konca riadku
            line_count++; // počíta počet riadkov
        }

    }
    printf("Line count: %d\n", line_count);


    return 0;
}
